Package ch.qos.logback.core.joran.event

# Class StartEvent

java.lang.Object
ch.qos.logback.core.joran.event.SaxEvent
ch.qos.logback.core.joran.event.StartEvent

public class StartEvent extends SaxEvent

## Field Summary

Fields
Modifier and Type
Field
Description
`final Attributes`
`attributes`
`final ElementPath`
`elementPath`

### Fields inherited from class ch.qos.logback.core.joran.event.SaxEvent

`localName, locator, namespaceURI, qName`

## Method Summary

Modifier and Type
Method
Description
`Attributes`
`getAttributes()`
`String`
`toString()`

### Methods inherited from class ch.qos.logback.core.joran.event.SaxEvent

`getLocalName, getLocator, getNamespaceURI, getQName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### attributes

public final Attributes attributes

### elementPath

public final ElementPath elementPath

## Method Details

### getAttributes

public Attributes getAttributes()

### toString

public String toString()

Overrides:
  `toString` in class `Object`